﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule;

namespace WindowsFormsApplication296
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Owner myOwner = this.ultraCalendarInfo1.Owners.Add("myCalendar");

            //  Create an OwnerDateSettings object for the first day of the current month
            OwnerDateSettings dateSettings = new OwnerDateSettings(DateTime.Today);

            //  Designate the day as a workday
            dateSettings.IsWorkDay = DefaultableBoolean.True;

            //  Add two sets of working hours, one for 9AM to 12PM,
            //  and another for 1PM to 5PM
            dateSettings.WorkingHours.Add(new TimeRange(TimeSpan.FromHours(9), TimeSpan.FromHours(12)));
            dateSettings.WorkingHours.Add(new TimeRange(TimeSpan.FromHours(13), TimeSpan.FromHours(17)));

            //  Create an appearance to indicate that the office is closed
            Infragistics.Win.Appearance officeClosedAppearance = new Infragistics.Win.Appearance();
            officeClosedAppearance.BackColor = Color.White;
            officeClosedAppearance.BackColor2 = Color.Red;
            officeClosedAppearance.BackGradientStyle = GradientStyle.Horizontal;
            officeClosedAppearance.BorderColor = Color.Transparent;

            //  Create TimeRanges for the hours during which the office is closed,
            //  which is 12AM to 6AM, and 8PM to 12AM
            TimeRange closed1 = new TimeRange(TimeSpan.FromHours(0), TimeSpan.FromHours(6));
            TimeRange closed2 = new TimeRange(TimeSpan.FromHours(20), TimeSpan.FromHours(24));

            //  Add two TimeRangeAppearance objects, one for each range during which
            //  the office is closed
            dateSettings.TimeRangeAppearances.Add(closed1, officeClosedAppearance);
            dateSettings.TimeRangeAppearances.Add(closed2, officeClosedAppearance);

            //  Add the OwnerDateSettings object to the Owner's DateSettings collection
            myOwner.DateSettings.Add(dateSettings);

            ultraDayView1.GroupingStyle = DayViewGroupingStyle.OwnerWithinDate;
        }
    }
}
